System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 All the dynamic members are not designed to be thread safe. System.Xml.Xsl.XsltException An instance of this class will be created to be thrown on an XSLT stylesheet compilation error. An input stylesheet in method is compiled into internal compiled stylesheet (that contains, for example, all compiled XPath expressions in the stylesheet, via method).

The exception that is thrown by the Load method when an error is found in the XSLT style sheet.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with a specified error message.

  The message that describes the error.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the XsltCompileException class using the information in the and objects.

  The SerializationInfo object containing all the properties of an XsltCompileException.
  The StreamingContext object containing the context information.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class specified error message and a reference to the inner exception that is the cause of this exception.

  The message that describes the error.
  The exception that is the cause of the current exception, or null if no inner exception is specified.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the XsltCompileException class.

  The that threw the XsltCompileException.
  The location path of the style sheet.
  The line number indicating where the error occurred in the style sheet.
  The line position indicating where the error occurred in the style sheet.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Streams all the XsltCompileException properties into the class for the given .

  The SerializationInfo object. The StreamingContext object.
- Property
  System.String Represents the error message. An error message string. To be added. 1.0.5000.0 2.0.0.0